Update a Campaign
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Campaign/{campaignId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"startDate": "<date>",
"endDate": "<date>",
"description": "<string>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"totalGiftGoal": "<integer>",
"hashtag": "<string>",
"googleAnalyticsViewId": "<integer>",
"googleAnalyticsCampaign": "<string>",
"ownerId": "<integer>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
startDate: '<date>',
endDate: '<date>',
description: '<string>',
givingGoal: '<double>',
newGiverGoal: '<integer>',
totalGiftGoal: '<integer>',
hashtag: '<string>',
googleAnalyticsViewId: '<integer>',
googleAnalyticsCampaign: '<string>',
ownerId: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/Campaign/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Campaign/{campaignId}"
payload = {
"name": "<string>",
"startDate": "<date>",
"endDate": "<date>",
"description": "<string>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"totalGiftGoal": "<integer>",
"hashtag": "<string>",
"googleAnalyticsViewId": "<integer>",
"googleAnalyticsCampaign": "<string>",
"ownerId": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Campaign/{campaignId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"startDate\": \"<date>\",\n \"endDate\": \"<date>\",\n \"description\": \"<string>\",\n \"givingGoal\": \"<double>\",\n \"newGiverGoal\": \"<integer>\",\n \"totalGiftGoal\": \"<integer>\",\n \"hashtag\": \"<string>\",\n \"googleAnalyticsViewId\": \"<integer>\",\n \"googleAnalyticsCampaign\": \"<string>\",\n \"ownerId\": \"<integer>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Campaign/{campaignId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'startDate' => '<date>',
'endDate' => '<date>',
'description' => '<string>',
'givingGoal' => '<double>',
'newGiverGoal' => '<integer>',
'totalGiftGoal' => '<integer>',
'hashtag' => '<string>',
'googleAnalyticsViewId' => '<integer>',
'googleAnalyticsCampaign' => '<string>',
'ownerId' => '<integer>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Campaign/{campaignId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"startDate\": \"<date>\",\n \"endDate\": \"<date>\",\n \"description\": \"<string>\",\n \"givingGoal\": \"<double>\",\n \"newGiverGoal\": \"<integer>\",\n \"totalGiftGoal\": \"<integer>\",\n \"hashtag\": \"<string>\",\n \"googleAnalyticsViewId\": \"<integer>\",\n \"googleAnalyticsCampaign\": \"<string>\",\n \"ownerId\": \"<integer>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Campaign/{campaignId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"startDate\": \"<date>\",\n \"endDate\": \"<date>\",\n \"description\": \"<string>\",\n \"givingGoal\": \"<double>\",\n \"newGiverGoal\": \"<integer>\",\n \"totalGiftGoal\": \"<integer>\",\n \"hashtag\": \"<string>\",\n \"googleAnalyticsViewId\": \"<integer>\",\n \"googleAnalyticsCampaign\": \"<string>\",\n \"ownerId\": \"<integer>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Campaign/{campaignId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
startDate: '<date>',
endDate: '<date>',
description: '<string>',
givingGoal: '<double>',
newGiverGoal: '<integer>',
totalGiftGoal: '<integer>',
hashtag: '<string>',
googleAnalyticsViewId: '<integer>',
googleAnalyticsCampaign: '<string>',
ownerId: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"campaignId": "<integer>",
"name": "<string>",
"description": "<string>",
"startDateTimeUtc": "<dateTime>",
"endDateTimeUtc": "<dateTime>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"totalGiftGoal": "<integer>",
"hashtag": "<string>",
"googleAnalyticsViewId": "<integer>",
"googleAnalyticsCampaign": "<string>",
"ownerId": "<integer>",
"isArchived": "<boolean>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Campaigns
Update a Campaign
PUT
/
api
/
Campaign
/
{campaignId}
Update a Campaign
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Campaign/{campaignId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"startDate": "<date>",
"endDate": "<date>",
"description": "<string>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"totalGiftGoal": "<integer>",
"hashtag": "<string>",
"googleAnalyticsViewId": "<integer>",
"googleAnalyticsCampaign": "<string>",
"ownerId": "<integer>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
startDate: '<date>',
endDate: '<date>',
description: '<string>',
givingGoal: '<double>',
newGiverGoal: '<integer>',
totalGiftGoal: '<integer>',
hashtag: '<string>',
googleAnalyticsViewId: '<integer>',
googleAnalyticsCampaign: '<string>',
ownerId: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/Campaign/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Campaign/{campaignId}"
payload = {
"name": "<string>",
"startDate": "<date>",
"endDate": "<date>",
"description": "<string>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"totalGiftGoal": "<integer>",
"hashtag": "<string>",
"googleAnalyticsViewId": "<integer>",
"googleAnalyticsCampaign": "<string>",
"ownerId": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Campaign/{campaignId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"startDate\": \"<date>\",\n \"endDate\": \"<date>\",\n \"description\": \"<string>\",\n \"givingGoal\": \"<double>\",\n \"newGiverGoal\": \"<integer>\",\n \"totalGiftGoal\": \"<integer>\",\n \"hashtag\": \"<string>\",\n \"googleAnalyticsViewId\": \"<integer>\",\n \"googleAnalyticsCampaign\": \"<string>\",\n \"ownerId\": \"<integer>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Campaign/{campaignId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'startDate' => '<date>',
'endDate' => '<date>',
'description' => '<string>',
'givingGoal' => '<double>',
'newGiverGoal' => '<integer>',
'totalGiftGoal' => '<integer>',
'hashtag' => '<string>',
'googleAnalyticsViewId' => '<integer>',
'googleAnalyticsCampaign' => '<string>',
'ownerId' => '<integer>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Campaign/{campaignId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"startDate\": \"<date>\",\n \"endDate\": \"<date>\",\n \"description\": \"<string>\",\n \"givingGoal\": \"<double>\",\n \"newGiverGoal\": \"<integer>\",\n \"totalGiftGoal\": \"<integer>\",\n \"hashtag\": \"<string>\",\n \"googleAnalyticsViewId\": \"<integer>\",\n \"googleAnalyticsCampaign\": \"<string>\",\n \"ownerId\": \"<integer>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Campaign/{campaignId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"startDate\": \"<date>\",\n \"endDate\": \"<date>\",\n \"description\": \"<string>\",\n \"givingGoal\": \"<double>\",\n \"newGiverGoal\": \"<integer>\",\n \"totalGiftGoal\": \"<integer>\",\n \"hashtag\": \"<string>\",\n \"googleAnalyticsViewId\": \"<integer>\",\n \"googleAnalyticsCampaign\": \"<string>\",\n \"ownerId\": \"<integer>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Campaign/{campaignId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
startDate: '<date>',
endDate: '<date>',
description: '<string>',
givingGoal: '<double>',
newGiverGoal: '<integer>',
totalGiftGoal: '<integer>',
hashtag: '<string>',
googleAnalyticsViewId: '<integer>',
googleAnalyticsCampaign: '<string>',
ownerId: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"campaignId": "<integer>",
"name": "<string>",
"description": "<string>",
"startDateTimeUtc": "<dateTime>",
"endDateTimeUtc": "<dateTime>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"totalGiftGoal": "<integer>",
"hashtag": "<string>",
"googleAnalyticsViewId": "<integer>",
"googleAnalyticsCampaign": "<string>",
"ownerId": "<integer>",
"isArchived": "<boolean>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Last modified on September 3, 2026
Was this page helpful?